Subject: Re: bug#11417: 24.0.96; infinite looping in xdisp.c

From: Leo <[email-masked]>
Date: Tue, 08 May 2012 00:17:14 +0800

On 2012-05-07 00:18 +0800, Eli Zaretskii wrote:
> First, please provide the entire backtrace from here to main, and also
> the Lisp backtrace (from the "xbacktrace" command).  You will need to
> make sure GDB reads the src/.gdbinit file for "xbacktrace" to work,
> and also for several other commands below.

I built it from emacs-24 branch.

I run gdb in emacs/src and attach to the process that is hanging. Then
source .gdbinit and I got:

DISPLAY = /tmp/launch-VtT4mU/org.x:0
TERM = xterm-color
[0] cancel
[1] all

Non-debugging symbols:
[2]    -[CIContext abort]
[3]    -[CIContextImpl abort]
[4]    abort
> Argument required (one or more choice numbers).
Breakpoint 1 at 0x100156fcf: file sysdep.c, line 859.

So commands such as xbt, xtype and pgrowx not working properly. The rest
is as attached. The portion of the line from it2.current should show:

from distutils.core import setup, Extension 

> Second, I need to see some of the variables involved in this:
>
>  (gdb) p start_pos
>  (gdb) p it2.vpos
>  (gdb) p it2.current
>  (gdb) p it2.string
>  (gdb) xtype
>  (gdb) p it2.method
>
> Finally, can you describe what should be displayed on the portion of
> the screen that is around the character position (shown by "p it2.current"
> above) where Emacs loops?  The following command should display
> detailed information about the screen line that includes the above buffer
> position:
>
>  (gdb) pgrowx (it2.w->desired_matrix->rows+N)
>
> where N is the zero-based number of the screen line.  If you cannot
> easily figure out the value of N, try the above command for successive
> values starting from zero, until you see the first screen line that is
> not displayed.
>
> Thanks.

Thanks.